# vendor-app-integration ci

include:
   - /tools/ci/gitlab/default-child-include.gitlab-ci.yml

stages:
  - do-nothing
  - version
  - lint
  - test
  - build
  - publish
  - tag

app-integration-no-op:
  stage: do-nothing
  extends:
    - .tag-all
    - .base-job-no-op

version-verify:
  stage: version
  extends:
    - .tag-all
    - .rule-child-trigger
    - .needs-child-needs-parent-jobs
    - .npm-node_modules-cache
  script:
    - !reference [.script-verify-version-lib, script]

lint:
  stage: lint
  extends:
    - .tag-all
    - .rule-child-trigger
    - .needs-child-needs-parent-jobs
    - .npm-node_modules-cache
    - .script-nx-lint

test:
  stage: test
  tags:
    - $RUNNER_CHARITE_11_TAG
  extends:
    - .rule-child-trigger
    - .needs-child-needs-parent-jobs
    - .npm-node_modules-cache
    - .script-nx-test

build:
  stage: build
  extends:
    - .tag-all
    - .rule-child-trigger
    - .needs-child-needs-parent-jobs
    - .npm-node_modules-cache
    - .script-nx-build

publish:
  stage: publish
  extends:
    - .tag-all
    - .rule-only-main
    - .needs-child-needs-parent-jobs
    - .npm-node_modules-cache
  script:
    - !reference [.script-publish-angular-package-gitlab, script]
  needs:
    - job: version-verify
    - job: lint
    - job: test
    - job: build

tag-release:
  stage: tag
  extends:
    - .tag-all
    - .rule-only-main
    - .needs-child-needs-parent-jobs
    - .script-ci-bot-git-tag-project
  script:
    - !reference [.script-get-lib-version, script]
    - !reference [.script-ci-bot-git-tag-project, script]
  needs:
    - job: version-verify
    - job: publish
